import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-angular-base';
import * as i0 from "@angular/core";
/**
 * RangenavigatorSeries Directive
 * ```html
 * <e-rangenavigator-series-collection>
 * <e-rangenavigator-series></e-rangenavigator-series>
 * </e-rangenavigator-series-collection>
 * ```
 */
export declare class RangenavigatorSeriesDirective extends ComplexBase<RangenavigatorSeriesDirective> {
    private viewContainerRef;
    directivePropList: any;
    /**
     * It defines the series type of the range navigator.
     * @default 'Line'
     */
    type: any;
    /**
     * Options to customizing animation for the series.
     */
    animation: any;
    /**
     * Options for customizing the color and width of the series border.
     */
    border: any;
    /**
     * Defines the pattern of dashes and gaps to stroke the lines in `Line` type series.
     * @default '0'
     */
    dashArray: any;
    /**
     * It defines the data source for a series.
     * @default null
     */
    dataSource: any;
    /**
     * The fill color for the series that accepts value in hex and rgba as a valid CSS color string.
     * It also represents the color of the signal lines in technical indicators.
     * For technical indicators, the default value is 'blue' and for series, it has null.
     * @default null
     */
    fill: any;
    /**
     * The opacity for the background.
     * @default 1
     */
    opacity: any;
    /**
     * It defines the query for the data source.
     * @default null
     */
    query: any;
    /**
     * The stroke width for the series that is applicable only for `Line` type series.
     * It also represents the stroke width of the signal lines in technical indicators.
     * @default 1
     */
    width: any;
    /**
     * It defines the xName for the series.
     * @default null
     */
    xName: any;
    /**
     * It defines the yName for the series.
     * @default null
     */
    yName: any;
    constructor(viewContainerRef: ViewContainerRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<RangenavigatorSeriesDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RangenavigatorSeriesDirective, "e-rangenavigator-series-collection>e-rangenavigator-series", never, { "animation": "animation"; "border": "border"; "dashArray": "dashArray"; "dataSource": "dataSource"; "fill": "fill"; "opacity": "opacity"; "query": "query"; "type": "type"; "width": "width"; "xName": "xName"; "yName": "yName"; }, {}, never>;
}
/**
 * RangenavigatorSeries Array Directive
 * @private
 */
export declare class RangenavigatorSeriesCollectionDirective extends ArrayBase<RangenavigatorSeriesCollectionDirective> {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<RangenavigatorSeriesCollectionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RangenavigatorSeriesCollectionDirective, "ej-rangenavigator>e-rangenavigator-series-collection", never, {}, {}, ["children"]>;
}
